- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
gaddress.h File Reference
`#include "gdef.h"`
`#include "gnet.h"`
`#include "gstrings.h"`
`#include "gexception.h"`
`#include <string>`

Go to the source code of this file.

## Classes
class | GNet::Address
| The Address class encapsulates an IP transport address. More...
class | GNet::Address::Localhost
| An overload discriminator class for GNet::Address. More...
class | GNet::Address::Broadcast
| An overload discriminator class for GNet::Address. More...
class | GNet::AddressStorage
| A helper class for calling getsockname() and getpeername() and hiding the definition of sockaddr_storage. More...

## Namespaces
| GNet
| Network classes.